Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: (Opgelost) Gedeeltelijk upgraden.  (gelezen 1901 keer)

Offline HermanDegenhart

  • Lid
  • Steunpunt: Nee
(Opgelost) Gedeeltelijk upgraden.
« Gepost op: 2009/04/17, 02:25:23 »
Al langer krijg ik berichten door dat er in mijn Intrepid 8.10 systeem een soort van bug zit. Zo kreeg ik zojuist bij het updaten een extra pop-up venster gepresenteerd met daarin de mededeling: Niet alle updates kunnen worden geïnstalleerd. Voer een gedeeltelijke upgrade uit om zoveel mogelijk updates te installeren. Onderaan het venster staan twee knoppen, een voor Sluiten en een voor Gedeeltelijke upgrade. Als ik daarop klik, dan begint de upgrade, maar houdt na twee tellen alweer op. Ook via Terminal middels het commando sudo apt-get upgrade, levert niets op. Er valt niets te upgraden volgens Terminal. De update die niet geïnstalleerd kan worden is acroread, een pdf viewer. Herkent iemand dit probleem?
« Laatst bewerkt op: 2009/04/18, 01:38:48 door HermanDegenhart »

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: Gedeeltelijk upgraden.
« Reactie #1 Gepost op: 2009/04/17, 02:29:18 »
Plaats het bestand /etc/apt/sources.list eens hier.
En eventueel aanwezige bestanden in de map /etc/apt/sources.list.d/

Offline HermanDegenhart

  • Lid
  • Steunpunt: Nee
Re: Gedeeltelijk upgraden.
« Reactie #2 Gepost op: 2009/04/17, 02:32:12 »
Ik heb geweten waar het stond, maar help me even, graag. Waar staan die lijsten. Het is in mijn persoonlijke map, dat weet ik nog.

Offline Gandyman

  • Lid
  • Steunpunt: Nee
Re: Gedeeltelijk upgraden.
« Reactie #3 Gepost op: 2009/04/17, 02:34:05 »
Ja ik had dat ook vanochtend, met dit verschil toen ik de upgrade doordrukte hij verder ging.
Uiteindelijk raakte hij in de war met een bevestigings scherm waar je akkoord moest gaan met de voorwaarden van acroread.
Dit scherm verdween voordat ik uberhaupt met de muis op ok kon klikken.

Daarna ging hij zelf een DPKG reconfigure uitvoeren om de boel te repareren.
Dit lukte in het geheel, waarna er een terminal venster opkwam waarin acroread nogmaals om een bevestiging vroeg of ik akkoord ging met de voorwaarden.
met ja bevestigd waarna acroread geinstalleerd werd.

PDF jes openen keurig en een handmatige update + upgrade gaf verder geen problemen.

BTW
Citaat
De update die niet geïnstalleerd kan worden is acroread, een pdf viewer.
Hoe weet je dit wanneer een upgrade opdracht geen output geeft ??
I don't suffer from insanity, I enjoy every minute of it.
Microsoft geeft je een raam, Linux geeft je een heel huis :D

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: Gedeeltelijk upgraden.
« Reactie #4 Gepost op: 2009/04/17, 02:34:18 »
Niet in je persoonlijke map.
Open Locaties>Computer, daarna bestandssysteem.
Dan zit je in /
Vervolgens ga je naar etc
daarna naar apt
Daar staan je bestanden.

Offline Gandyman

  • Lid
  • Steunpunt: Nee
Re: Gedeeltelijk upgraden.
« Reactie #5 Gepost op: 2009/04/17, 02:35:08 »
Die staan in /etc/apt/sources.list
I don't suffer from insanity, I enjoy every minute of it.
Microsoft geeft je een raam, Linux geeft je een heel huis :D

Offline HermanDegenhart

  • Lid
  • Steunpunt: Nee
Re: Gedeeltelijk upgraden.
« Reactie #6 Gepost op: 2009/04/17, 02:45:44 »
Gandyman, "Hoe weet je dit wanneer een upgrade opdracht geen output geeft ??" Dat weet ik omdat acroread door het update venster schemert.

Offline HermanDegenhart

  • Lid
  • Steunpunt: Nee
Re: Gedeeltelijk upgraden.
« Reactie #7 Gepost op: 2009/04/17, 02:51:00 »
Heer Van Dijk, hier is mijn sourceslist.

# deb cdrom:[Ubuntu 8.10 _Intrepid Ibex_ - Release i386 (20081029.5)]/ intrepid main restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://ftp.tiscali.nl/ubuntu/ intrepid main restricted
deb-src http://ftp.tiscali.nl/ubuntu/ intrepid main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://ftp.tiscali.nl/ubuntu/ intrepid-updates main restricted
deb-src http://ftp.tiscali.nl/ubuntu/ intrepid-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://ftp.tiscali.nl/ubuntu/ intrepid universe
deb-src http://ftp.tiscali.nl/ubuntu/ intrepid universe
deb http://ftp.tiscali.nl/ubuntu/ intrepid-updates universe
deb-src http://ftp.tiscali.nl/ubuntu/ intrepid-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://ftp.tiscali.nl/ubuntu/ intrepid multiverse
deb-src http://ftp.tiscali.nl/ubuntu/ intrepid multiverse
deb http://ftp.tiscali.nl/ubuntu/ intrepid-updates multiverse
deb-src http://ftp.tiscali.nl/ubuntu/ intrepid-updates multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http://nl.archive.ubuntu.com/ubuntu/ intrepid-backports main restricted universe multiverse
# deb-src http://nl.archive.ubuntu.com/ubuntu/ intrepid-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository. This software is not part of Ubuntu, but is
## offered by Canonical and the respective vendors as a service to Ubuntu
## users.
deb http://archive.canonical.com/ubuntu intrepid partner
# deb-src http://archive.canonical.com/ubuntu intrepid partner

deb http://ftp.tiscali.nl/ubuntu/ intrepid-security main restricted
deb-src http://ftp.tiscali.nl/ubuntu/ intrepid-security main restricted
deb http://ftp.tiscali.nl/ubuntu/ intrepid-security universe
deb-src http://ftp.tiscali.nl/ubuntu/ intrepid-security universe
deb http://ftp.tiscali.nl/ubuntu/ intrepid-security multiverse
deb-src http://ftp.tiscali.nl/ubuntu/ intrepid-security multiverse
deb http://packages.medibuntu.org/ intrepid free non-free
deb http://ppa.launchpad.net/mono-ubuntu/ppa/ubuntu intrepid main
deb http://ppa.launchpad.net/mtron/ubuntu intrepid main
# deb-src http://ppa.launchpad.net/mtron/ubuntu intrepid main

Offline HermanDegenhart

  • Lid
  • Steunpunt: Nee
Re: Gedeeltelijk upgraden.
« Reactie #8 Gepost op: 2009/04/17, 02:54:18 »
Heer Van Dijk, hier is sourcces list .d. 

## Medibuntu - Ubuntu 8.10 "intrepid ibex"
## Please report any bug on https://bugs.launchpad.net/medibuntu/
# deb-src http://packages.medibuntu.org/ intrepid free non-free

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: Gedeeltelijk upgraden.
« Reactie #9 Gepost op: 2009/04/17, 02:57:37 »
Dat lijkt allemaal wel OK.
Heb je al eens op herladen gedrukt?

En wat gebeurt er als je het pakket acroread opzoekt in Synaptic en aangeeft dat je die wil updaten?
NIET DOORVOEREN, alleen kijken wat er gebeurt.
Dan geeft hij zelf aan wat de mogelijkheden zijn.
Soms kan dat niet, omdat een noodzakelijk ander pakket nog niet als update beschikbaar is.
Of hij wil een ander pakket verwijderen.
Of iets anders.

Geef even hier door wat Synaptic van die update vindt.
(Niet doorvoeren dus, alleen even markeren voor de update)

Offline HermanDegenhart

  • Lid
  • Steunpunt: Nee
Re: Gedeeltelijk upgraden.
« Reactie #10 Gepost op: 2009/04/17, 03:12:23 »
Ik krijg dan een venster dat ik wel meer krijg. Bovenaan staat:
An error occurred.
De volgende details zijn beschikbaar:
E: /var/cache/apt/archives/acroread_9.1.0-7intrepid1_i386.deb: poging tot overschrijven van `/usr/share/man/man1/acroread.1.gz', wat ook in pakket acroread-debian-files zit
Daaronder zit een ander venster. Daar staat bovenaan:
Veranderingen doorgevoerd.
De veranderingen en updates zijn niet allemaal geslaagd.
Daaronder een venster dat als volgt begint:
Voorconfigureren van pakketten, en eindigt met de zin:
Een pakket weigerde installatie. Bezig met herstel.

Offline track

  • Lid
  • Steunpunt: Nee
Re: Gedeeltelijk upgraden.
« Reactie #11 Gepost op: 2009/04/17, 03:29:59 »
Hoi Herman,

bij jouw pakketbronnen:
Dat lijkt allemaal wel OK.
...
zou ik toch Johan willen tegenspreken.

Dat je op de meeste plekken een "ticali.nl"-server hebt staan lijk mij het probleem te zijn.
Jongstleden was juist het invoeren van de originele server de oplossing: http://forum.ubuntu-nl.org/software-en-configuratie/zoneminder-geinstalleerd-maar-niet-zichtbaar/msg396516/#msg396516
en ook een zoek met "deb http://ftp.tiscali.nl/ubuntu/" op het forum levert nog enkele dergelijke problemem op (wel van 2007).

Vandaar is mijn advies dat je alle  "http://ftp.tiscali.nl/ubuntu/"  vervangt door  "http://nl.archive.ubuntu.com/ubuntu/"
zoals het ook in de commentaren al staat.

Langzamerhand heb ik een beetje de indruk alsof tiscali de bronlijsten van verschillende Uby-computers kaapt ...
Ik kom hen altijd weer in het verband met problemen tegen.  (en het punt "veilige bronnen" is hier toenemend een issue !!)

Vriendelijke groet,

track

Offline HermanDegenhart

  • Lid
  • Steunpunt: Nee
Re: Gedeeltelijk upgraden.
« Reactie #12 Gepost op: 2009/04/17, 03:36:25 »
Heer Track, ik ga aan de slag. Ik had de softwarebron al op Hoofdserver gezet. Daat laat ik hem nu opstaan.

Offline HermanDegenhart

  • Lid
  • Steunpunt: Nee
Re: Gedeeltelijk upgraden.
« Reactie #13 Gepost op: 2009/04/17, 03:59:28 »
Heer Track, ik heb handmatig de door u aanbevolen veranderingen aangebracht, maar toen ik op Opslaan drukte, kreeg ik de mededeling dat ik niet bevoegd was om het bestand op te slaan. Wat nu?

Offline track

  • Lid
  • Steunpunt: Nee
Re: Gedeeltelijk upgraden.
« Reactie #14 Gepost op: 2009/04/17, 04:22:29 »
Dat zijn de rechten ...

De toverspreuk heet  gksu gedit
En alsjeblieft heel voorzichtig ermee, want als  "root" mag je alles - dus ook in de soep sturen - !

track

Offline HermanDegenhart

  • Lid
  • Steunpunt: Nee
Re: Gedeeltelijk upgraden.
« Reactie #15 Gepost op: 2009/04/17, 04:34:03 »
En waar voer ik die in?

Offline Gandyman

  • Lid
  • Steunpunt: Nee
Re: Gedeeltelijk upgraden.
« Reactie #16 Gepost op: 2009/04/17, 10:50:33 »
Ik vermoed dat de installatie niet is doorgegaan omdat Herman niet de voorwaarden heeft kunnen accepteren met een bevestiging.

Herman probeer hem eens opnieuw te installeren alsvolgt:

Ga naar Locaties -> en klik op Computer ( je krijgt nu nautilus voor je)

Ga nu naar de map /var en open deze,
dan de map /cache openen
dan de map /apt openen
dan de map /archives openen
hierin vind je het bestand acroread_9.1.0-7intrepid1_i386.deb

Dubbelklik hierop zodat de pakketinstaller actief word.
hij zal misschien vragen of je hem opnieuw wilt installeren, klik op ja.

Dit proces kan even duren heb dus geduld.
terwijl hij bezig is met installeren zie je in het schermpje het woordje " Terminalvenster"
Klik hier op zodat je kan zien waar hij mee bezig is.

Zodra je de vraag krijgt om akkoord te gaan met de licentie dit met ja bevestigen.
I don't suffer from insanity, I enjoy every minute of it.
Microsoft geeft je een raam, Linux geeft je een heel huis :D

Offline track

  • Lid
  • Steunpunt: Nee
Re: Gedeeltelijk upgraden.
« Reactie #17 Gepost op: 2009/04/17, 12:03:23 »
En waar voer ik die in?
Je bent sinds feisty met Ubuntu aan de slag en bent nog nooit de commandolijn tegen gekomen ??

In twijfel open je altijd een terminal en voer het commando letterlijk in toch  ?
Dat had ik bij jou als bekend geacht ...

Vriendelijke groet,

track

Offline Tom

  • Lid
    • Wanda´s Blog Linux Xubuntu. ♥
  • Steunpunt: Nee
Re: Gedeeltelijk upgraden.
« Reactie #18 Gepost op: 2009/04/17, 12:14:07 »
De Heer Degenhart is een intelligent en integer persoon , alleen absoluut geen techneut qua systeem etc .
Een beetje wie mijn Vader zaliger dat was een reken wonder en schaak genie (versloeg dikwijls de Heer Donner) , maar kon geen spijker in de muur slaan. :)
2 x Xuby 14.04.5 Lts 64 bits stand alone. 2 x Xuby 16.04.4 Lts 64 bits stand alone. ♥
https://sites.google.com/site/wandabloglinuxxubuntu/pc-s-installeren-configureren.

Offline HermanDegenhart

  • Lid
  • Steunpunt: Nee
Re: Gedeeltelijk upgraden.
« Reactie #19 Gepost op: 2009/04/17, 13:08:29 »
Heer Rooze, zeer bedankt voor uw steun. Overigens denk ik de oorzaak per ongeluk op het spoor te zijn gekomen. Ik had namelijk acroread met alles wat daaraan hing verwijderd, de computer herstart en toen acroread weer geïnstalleerd. Die aanhang bleek niet meer in de lijst te staan behalve het pakket acroread-debian-files. Toen ik ook dat wilde installeren kreeg ik de tekst:
Kan niet alle pakketten markeren voor installatie of bijwerken. En in het binnenkader de tekst:

acroread-debian-files:

Pakket acroread-debian-files is niet beschikbaar, maar bestaat wel in de database.
Dit betekent meestal dat het pakket genoemd is als afhankelijkheid en niet beschikbaar is gemaakt, verouderd is of niet beschikbaar is vanwege de huidige bronnenlijst

U weet, ik ben een simpele jongen, dus mijn gedachte was; dan maar niet. Hoe het komt weet ik niet, maar Adobe Reader blijkt geïnstalleerd en doet het goed en al die rare rampberichten duiken ook niet meer op. Mocht dit de oplossing zijn, dan is het op basis van geluk en beslist geen wijsheid.

Wat betreft het advies van heer Track om in de sourcelijst Tiscali te vervangen door Ubuntu (zie zijn advies hierboven), gaat dit niet automatisch als ik volgende week via de Hoofdserver upgrade?